Recurring Billing Cancellation API
Cancels an active recurring billing enrollment and revokes the associated billing key.
Test Credentials
API Information
POST/APIUnRegistRegular.do
Content-Type
application/json; charset=UTF-8Sandbox
https://tbezauthapi.settlebank.co.kr/APIUnRegistRegular.doProduction
https://ezauthapi.settlebank.co.kr:8081/APIUnRegistRegular.doRequest Parameters
Type Notation
NNumericAAlphabeticHKoreanANAlphanumericAHNAlphanumeric + Koreane.g. AN(10) = alphanumeric, up to 10 bytes
└hdInfoAN(50)Alphanumeric, up to 50 bytes*Message type code.
Message type code.
*Fixed value
└apiVerAN(4)Alphanumeric, up to 4 bytes*API version.
API version.
*Fixed value
└mercntIdAN(8)Alphanumeric, up to 8 bytes*Unique merchant identifier assigned by Hecto Financial.
Unique merchant identifier assigned by Hecto Financial.
└reqDayN(8)Numeric, up to 8 bytes*Request date (yyyyMMdd).
Request date (yyyyMMdd).
└reqTimeN(6)Numeric, up to 6 bytes*Request time (HH24MISS).
Request time (HH24MISS).
└regularpayKeyAN(32)Alphanumeric, up to 32 bytes*Recurring billing key (BillKey) to revoke.
Recurring billing key (BillKey) to revoke.
└signatureAN(200)Alphanumeric, up to 200 bytes*
SHA-256SHA-256 hash value for tamper protection.(auto-generated)SHA-256 hash value for tamper protection.
NOTE
Signature Composition
mercntId + reqDay + reqTime + regularpayKey + hashKey
Response Parameters
└resultCdN(1)Numeric, up to 1 bytes*Result code.
0Result code.
0: Success -1: Failure└errCdAN(5)Alphanumeric, up to 5 bytes*Error code. See error code reference.
0000Error code. See error code reference.
└resultMsgAN(200)Alphanumeric, up to 200 bytes*Human-readable result message.
SuccessHuman-readable result message.
